#
# spec file for package python-pydocumentdb
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%if 0%{?suse_version} >= 1500
%define skip_python2 1
%endif
Name:           python-pydocumentdb
Version:        2.3.5
Release:        4.2
Summary:        Azure DocumentDB Python SDK
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/Azure/azure-documentdb-python
Source:         https://files.pythonhosted.org/packages/source/p/pydocumentdb/pydocumentdb-%{version}.tar.gz
Patch0:         p_disable-changelog-parsing.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-requests >= 2.10.0
Requires:       python-six >= 1.6
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests >= 2.10.0}
BuildRequires:  %{python_module six >= 1.6}
# /SECTION
%python_subpackages

%description
This is the Microsoft Azure Cosmos DB Python SDK.

This package has been tested with Python 2.7, 3.3, 3.4 and 3.5.

%prep
%setup -q -n pydocumentdb-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand py.test-%{$python_version}

%files %{python_files}
%license LICENSE.txt
%doc README.md
%{python_sitelib}/*

%changelog
* Sat Jan 20 2024 Bernhard Wiedemann <bwiedemann@suse.com>
- Use %%patch0 to fix compilation with rpm-4.19
* Thu Nov 26 2020 Robert Schweikert <rjschwei@suse.com>
- Only build Python3 flavors for distributions 15 and greater
* Tue Aug 25 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Use %%patch instead %%patch0 to fix build on older distributions
* Tue Mar  3 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.3.5
  + Updated README regarding package deprecation
- Add patch to disable parsing of changelog.md in setup.py
  + p_disable-changelog-parsing.patch
* Mon Apr 15 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.3.3
  + No upstream changelog provided
- Remove python-devel package from BuildRequires
* Thu Sep  6 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.3.2
  + No upstream changelog provided
* Wed May  9 2018 tchvatal@suse.com
- Really enable testsuite
- Use %%license for license install
* Mon May  7 2018 adrian.glaubitz@suse.com
- Initial build
  + Version 2.3.1
